1. Crypto Refund v2.0
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
          GET
        • Create Crypto Void
          POST
        • Create Crypto Risk Refund
          POST
        • Create Crypto Refund
          POST
        • Close Crypto Refund
          POST
        • Get Crypto Refund
          GET
        • Refund Status Webhook
          POST
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
  1. Crypto Refund v2.0

Refund Status Webhook

POST
/webhooks/crypto-refund/v2
Webhook notification when checkout status changes

Request

Authorization
Body Params application/jsonRequired

Example
{
    "eventType": "CHECKOUT_STATUS_CHANGED",
    "notificationId": "string",
    "data": {
        "refundId": "REF_20240115_001",
        "refundType": "VOID",
        "originalTransactionId": "CKO_20240115_001",
        "participantCode": "MERCHANT_001",
        "clientRefundId": "REF_EXT_001",
        "status": "INITIATED",
        "reason": "Audit rejected",
        "blockchain": "TRC20",
        "amount": {
            "amount": "string",
            "currency": "string"
        },
        "email": "string",
        "refundAddress": "TXYZbuyer123...",
        "feeAmount": {
            "amount": "string",
            "currency": "string"
        },
        "netAmount": {
            "amount": "string",
            "currency": "string"
        },
        "txHash": "0xabc123...",
        "createdAt": 1705320000000,
        "updatedAt": 1705320600000
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/webhooks/crypto-refund/v2' \
--header 'Content-Type: application/json' \
--data '{
    "eventType": "CHECKOUT_STATUS_CHANGED",
    "notificationId": "string",
    "data": {
        "refundId": "REF_20240115_001",
        "refundType": "VOID",
        "originalTransactionId": "CKO_20240115_001",
        "participantCode": "MERCHANT_001",
        "clientRefundId": "REF_EXT_001",
        "status": "INITIATED",
        "reason": "Audit rejected",
        "blockchain": "TRC20",
        "amount": {
            "amount": "string",
            "currency": "string"
        },
        "email": "string",
        "refundAddress": "TXYZbuyer123...",
        "feeAmount": {
            "amount": "string",
            "currency": "string"
        },
        "netAmount": {
            "amount": "string",
            "currency": "string"
        },
        "txHash": "0xabc123...",
        "createdAt": 1705320000000,
        "updatedAt": 1705320600000
    }
}'

Responses

🟢200OK
Webhook received successfully
This response does not have a body.
Modified at 2026-07-21 08:46:18
Previous
Get Crypto Refund
Next
Create Quotation
Built with